import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsListItem as GdsListItemClass } from "../../../components/grouped-list/list-item.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsListItem = (props) => {
  GdsListItemClass.define();
  const JSXElement = getReactComponent("gds-list-item");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsListItem.displayName = "GdsListItem";
export {
  GdsListItem
};
